From 9059ab2ba2903aebae73448a5a8445e66e908d3b Mon Sep 17 00:00:00 2001
From: Maxim Orlov <m.orlov@postgrespro.ru>
Date: Tue, 27 Dec 2022 18:31:15 +0300
Subject: [PATCH 2/2] Init status var in get_xid_status

---
 contrib/amcheck/verify_heapam.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/contrib/amcheck/verify_heapam.c b/contrib/amcheck/verify_heapam.c
index d51f50f8c1d..a3547c51bbb 100644
--- a/contrib/amcheck/verify_heapam.c
+++ b/contrib/amcheck/verify_heapam.c
@@ -1688,7 +1688,11 @@ get_xid_status(TransactionId xid, HeapCheckContext *ctx,
 
 	/* Quick check for special xids */
 	if (!TransactionIdIsValid(xid))
+	{
+		if (status != NULL)
+			*status = XID_COMMITTED;
 		return XID_INVALID;
+	}
 	else if (xid == BootstrapTransactionId || xid == FrozenTransactionId)
 	{
 		if (status != NULL)
-- 
2.34.1

